Get one batch item's result

GET/lang2fhir/batch/{job_id}/results/{item_id}

Streams one item's stored result bytes verbatim as application/json. The body is the response the item's synchronous multi endpoint would have returned — a DocumentMultiResponse for a document item or a CreateMultiResponse for a create item.

Only a succeeded item has a result: an item that has not succeeded (pending, processing, or failed) is a 409, and a result that has expired is a 404.

RequiresBearerauthentication

Path parameters

job_idstringrequired
item_idstringrequired
Returns  

The item's raw result JSON

GETRequest
# Get authentication token
PHENOML_TOKEN=$(curl -X POST "https://experiment.app.pheno.ml/v2/auth/token" \
  -u "$PHENOML_CLIENT_ID:$PHENOML_CLIENT_SECRET" \
  | jq -r '.access_token')

curl -X GET "https://experiment.app.pheno.ml/lang2fhir/batch/abc-123-def-456/results/abc-123-def-456" \
  -H "Authorization: Bearer $PHENOML_TOKEN"
200 OKExample Response
{}